APROPOS(1)

NOMBRE
apropos - busca los nombres y descripciones de la página del manual

SINOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s listado] [-m sistema[,...]] [-M ruta] [-L local] [-C fichero] palabraclave ...

DESCRIPCIÓN
Cada página del manual tiene una breve descripción disponible con éste. apropos busca las descripciones para instancias de palabrasclave. Una palabraclave es una expresión regular usual, como si (-r) fuera empleada, o quizá contenga comodines (-w), o coincida la palabra clave exacta (-e). Utilizando estas opciones, quizá sean necesarias para entrecomillar la palabraclave o escape (\) para los caracteres especiales para detener la shell de la interpretación de éstos. Las reglas de coincidencia comunes permiten coincidencias para hacerlas frente al número de página y bordes de palabra en la descripción. La BD buscada por apropos está actualizadada por el programa mandb. Dependiendo en su instalación, esto quizá es ejecutado por una tarea cron periódica, o quizá necesita ser ejecutado manualmente tras instalarse páginas nuevas del manual.

OPCIONES

-d, --debug
    Muestra información depurativa.

-v, --verbose
    Muestra mensajes detallados de advertencia.

-r, --regex
    Interpreta cada palabra clave como una expresión regular. Esto es el comportamiento por omisión. Cada palabra clave será coincidente frente a los nombres de página y la descripción independientemente. Puede coincidir cualquier parte de ambos. La coincidencia no está limitada a las palabras partidas en los bordes.

-w, --wildcard
    Interpreta cada palabra clave como un patrón conteniendo comodines de estilo shell. Cada palabra clave será coincidente frente a los nombres de página y la descripción independientemente. Si --exact se emplea también, una coincidencia será solo encontrada si una palabra clave expandida coincide una descripción entera o nombre de página. En otro caso la palabra clave también permite que coincida en los bordes de palabras dentro de la descripción.

-e, --exact
    Cada teclado será exactamente coincidente frente a nombres de página y las descripciones.

-a, --and
    Solo enseña ítemes que coincide con todoas las palabras clave suministradas. Lo predeterminado es enseñar ítemes que coincidan cualquier palabra clave.

-l, --long
    No corta la salida a la anchura del terminal. Normalmente, la salida será truncada al ancho del terminal para evitar resultados indeseables de las secciones de NOMBRE pobremente escritas.

-s listado, --section listado, --section listado
    Busca solo las secciones del manual dadas. listado es una lista de secciones coloreada separadas por comas. Si una entrada en el listado es una sección simple, por ejemplo "3", entonces la lista de descripción enseñada incluirá páginas en secciones "3", "3perl", "3x", y así; mientras si una entrada en el listado tiene una extensión, por ejemplo "3perl", entones la lista solo incluirá páginas dentro de esa parte exacta de la sección del manual.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema ha accedido a otras descripciones del manual de sistema operativo, pueden buscarse utilizando esta opción. Para buscar descripciones de página del manual SOnuevo, utilice la opción -m SOnuevo. El sistema especificado puede ser una combinación de nombres del sistema operativo separado por comas. Para incluir una búsqueda descripciones whatis del sistema operativo nativo, incluya el nombre del sistema man en la cadena de argumento. Esta opción anula la variable $SYSTEM del entorno.

-M ruta, --manpath=ruta
    Especifica un conjunto alternativo de página del manual delimitado por dos puntos (:) jerárquicos para búsqueda. Por defecto, apropos utiliza la variable de entorno $MANPATH, a no ser que esté vacía o no determinada, en cualquier caso determinará una ruta del man apropiado basado en su variable del entorno $MANPATH.

-L local, --locale=local
    El %programa% normalmente no determinará su actual localización para una llamada a la función C setlocale(3) la cual pregunta varias variables de entorno, posiblemente incluyendo $LC_MESSAGES y $LANG. Para temporalmente sobrescribir el valor determinado, utilice esta opción para suministrar una cadena local directamente al apropos. Anote que no tomará efecto hasta que la búsqueda para páginas actualmente comiencen. Salidas como el mensaje de ayuda siempre será mostrado en la localización inicialmente determinada.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Enseña la versión de información.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Utilización, sintaxis o error del fichero de configuración.

2   Error operacional.

16  Nada fue encontrado coincidendo con el criterio especificado.

ENTORNO

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si tuvo que ser especificado como el argumento a la opción -m.

MANPATH
    Si se establece $MANPATH, su valor es interpretado como la jerarquización de página manual delimitada por dos puntos.

MANWIDTH
    Si se establece $MANWIDTH, su valor es utilizado como la anchura del terminal (vea la opción --long). Si no está establecida, la anchura de la terminal será calculada utilizando el valor de $COLUMNAS, un ioctl(2) si está disponible, o volviendo a los 80 caracteres si todo eso falla.

POSIXLY_CORRECT
    Si se establece $POSIXLY_CORRECT, incluso a un valor nulo, la búsqueda predeterminada apropos será como una expreg extendida (-r). Por otro lado, esto es el comportamiento predeterminado en cualquier lugar.

FICHEROS

/usr/share/man/index.(bt|db|dir|pag)
    Una caché de BD indexado global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible FHS.

/usr/share/man/.../whatis
    Un texto tradicional whatis de BD.

VEA ADEMÁS
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).